Package org.jbpm.runtime.manager.impl.tx

## Class NoOpTransactionManager

- java.lang.Object
- - org.jbpm.runtime.manager.impl.tx.NoOpTransactionManager

- All Implemented Interfaces:
    `org.drools.persistence.api.TransactionManager`

      public class NoOpTransactionManager
      extends Object
      implements org.drools.persistence.api.TransactionManager

- - ### Field Summary

    - ### Fields inherited from interface org.drools.persistence.api.TransactionManager

      `STATUS_ACTIVE, STATUS_COMMITTED, STATUS_NO_TRANSACTION, STATUS_ROLLEDBACK, STATUS_UNKNOWN`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NoOpTransactionManager()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `begin()` |
    `void` | `commit​(boolean transactionOwner)` |
    `Object` | `getResource​(Object key)` |
    `int` | `getStatus()` |
    `void` | `putResource​(Object key, Object resource)` |
    `void` | `registerTransactionSynchronization​(org.drools.persistence.api.TransactionSynchronization ts)` |
    `void` | `rollback​(boolean transactionOwner)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NoOpTransactionManager

          public NoOpTransactionManager()

  - ### Method Detail

    - #### rollback

          public void rollback​(boolean transactionOwner)

      Specified by:
        `rollback` in interface `org.drools.persistence.api.TransactionManager`

    - #### registerTransactionSynchronization

          public void registerTransactionSynchronization​(org.drools.persistence.api.TransactionSynchronization ts)

      Specified by:
        `registerTransactionSynchronization` in interface `org.drools.persistence.api.TransactionManager`

    - #### putResource

          public void putResource​(Object key,
                                  Object resource)

      Specified by:
        `putResource` in interface `org.drools.persistence.api.TransactionManager`

    - #### getStatus

          public int getStatus()

      Specified by:
        `getStatus` in interface `org.drools.persistence.api.TransactionManager`

    - #### getResource

          public Object getResource​(Object key)

      Specified by:
        `getResource` in interface `org.drools.persistence.api.TransactionManager`

    - #### commit

          public void commit​(boolean transactionOwner)

      Specified by:
        `commit` in interface `org.drools.persistence.api.TransactionManager`

    - #### begin

          public boolean begin()

      Specified by:
        `begin` in interface `org.drools.persistence.api.TransactionManager`